<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='Log' id=''>
  <import-decl name='S' id='S' export='no' module='SYSTEM'/>
  <import-decl name='StdChannels' id='StdChannels' export='no' module='StdChannels'/>
  <import-decl name='TextRider' id='TextRider' export='no' module='TextRider'/>
  <import-decl name='Obj' id='Obj' export='no' module='Object'/>
  <var-decl name='writer' id='writer' export='read-only'>
    <oberon-doc>
      <summary>This is the rider used by the output procedures.</summary>
      <p pad-after='yes' no-indent='yes'>This is the rider used by the output procedures.  It is initialized to hold a text writer to the channel <oberon-var href='StdChannels#stderr'>StdChannels.stderr</oberon-var>.  This can be changed by calling <oberon-proc href='#SetWriter'>SetWriter</oberon-proc>.</p>
    </oberon-doc>
    <type>
      <type-name module='TextRider' name='Writer' href='TextRider#Writer'/>
    </type>
  </var-decl>
  <procedure name='Done' id='Done' export='yes'>
    <oberon-doc>
      <summary>Returns <code>TRUE</code> if the last operation was successful.</summary>
      <p pad-after='yes' no-indent='yes'>Returns <code>TRUE</code> if the last operation was successful.</p>
    </oberon-doc>
    <formal-parameters>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='ClearError' id='ClearError' export='yes'>
    <formal-parameters/>
  </procedure>
  <procedure name='SetWriter' id='SetWriter' export='yes'>
    <formal-parameters>
      <parameter-decl name='w' id='SetWriter.w' export='no' variable-parameter='no'>
        <type>
          <type-name module='TextRider' name='Writer' href='TextRider#Writer'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Flush' id='Flush' export='yes'>
    <oberon-doc>
      <summary>Flushes all buffers associated with <oberon-var href='#writer'>writer</oberon-var>.</summary>
      <p pad-after='yes' no-indent='yes'>Flushes all buffers associated with <oberon-var href='#writer'>writer</oberon-var>.</p>
    </oberon-doc>
    <formal-parameters/>
  </procedure>
  <procedure name='Char' id='Char' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Char.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='ch' id='Char.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='String' id='String' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='String.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='s' id='String.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LString' id='LString' export='yes'>
    <oberon-doc>
      <summary>Very primitive <code>LONGCHAR</code> output.</summary>
      <p pad-after='yes' no-indent='yes'>Very primitive <code>LONGCHAR</code> output.  The procedure writes a string of <code>SHORT</code>ed characters.  If a character cannot be shorted, it is replaced by the character <samp>?</samp>.  In the future, this may be changed to UTF-8 output.  Use at your own risk!</p>
      <p pad-after='yes' no-indent='no'>As it is, this procedure should <emph>not</emph> be documented in the reference manual.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='msg' id='LString.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='s' id='LString.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='LONGCHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Object' id='Object' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Object.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='obj' id='Object.obj' export='no' variable-parameter='no'>
        <type>
          <type-name module='Obj' name='Object' href='Object#Object'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Bool' id='Bool' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Bool.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='bool' id='Bool.bool' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='BOOLEAN'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongInt' id='LongInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='LongInt.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='lint' id='LongInt.lint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='ShortInt' id='ShortInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='ShortInt.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='sint' id='ShortInt.sint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='SHORTINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Int' id='Int' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Int.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='int' id='Int.int' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Hex' id='Hex' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Hex.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='lint' id='Hex.lint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongReal' id='LongReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='LongReal.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='lreal' id='LongReal.lreal' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Real' id='Real' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Real.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='real' id='Real.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongRealEng' id='LongRealEng' export='yes'>
    <formal-parameters>
      <parameter-decl name='lreal' id='LongRealEng.lreal' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='RealEng' id='RealEng' export='yes'>
    <formal-parameters>
      <parameter-decl name='real' id='RealEng.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Set' id='Set' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Set.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='s' id='Set.s' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='SET'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Msg' id='Msg' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Msg.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Ln' id='Ln' export='yes'>
    <formal-parameters/>
  </procedure>
  <procedure name='Ptr' id='Ptr' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Ptr.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='ptr' id='Ptr.ptr' export='no' variable-parameter='no'>
        <type>
          <type-name module='S' name='PTR' href='SYSTEM#PTR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Adr' id='Adr' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Adr.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='x' id='Adr.x' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='S' name='BYTE' href='SYSTEM#BYTE'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Type' id='Type' export='yes'>
    <formal-parameters>
      <parameter-decl name='msg' id='Type.msg' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='ptr' id='Type.ptr' export='no' variable-parameter='no'>
        <type>
          <type-name module='S' name='PTR' href='SYSTEM#PTR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='Object.html'/>
  </module-ref>
  <module-ref name='TextRider'>
    <ref-target type='html' relative-uri='TextRider.html'/>
  </module-ref>
  <module-ref name='StdChannels'>
    <ref-target type='html' relative-uri='StdChannels.html'/>
  </module-ref>
</interface-description>
